"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Item = exports.List = exports.ListContainer = exports.Input = exports.Container = void 0;
var styled_1 = require("@emotion/styled");
var ContainerBase_1 = require("../../base/ContainerBase");
var ItemBase_1 = require("../../base/ItemBase");
var ListBase_1 = require("../../base/ListBase");
var InputBase_1 = require("../../base/InputBase");
exports.Container = (0, styled_1.default)(ContainerBase_1.ContainerBase)(templateObject_1 || (templateObject_1 = __makeTemplateObject([""], [""])));
exports.Input = (0, styled_1.default)(InputBase_1.InputBase)(templateObject_2 || (templateObject_2 = __makeTemplateObject([""], [""])));
exports.ListContainer = (0, styled_1.default)(ListBase_1.ListBase)(templateObject_3 || (templateObject_3 = __makeTemplateObject(["\n  display: flex;\n  max-height: ", ";\n  top: 55px;\n"], ["\n  display: flex;\n  max-height: ", ";\n  top: 55px;\n"])), function (_a) {
    var itemHeight = _a.itemHeight, showItemCount = _a.showItemCount;
    return "calc(".concat(itemHeight, " * ").concat(showItemCount, ")");
});
exports.List = styled_1.default.ul(templateObject_4 || (templateObject_4 = __makeTemplateObject(["\n  flex: 1;\n  overflow-y: auto;\n  list-style-type: none;\n  ::-webkit-scrollbar {\n    display: none;\n  }\n"], ["\n  flex: 1;\n  overflow-y: auto;\n  list-style-type: none;\n  ::-webkit-scrollbar {\n    display: none;\n  }\n"])));
exports.Item = (0, styled_1.default)(ItemBase_1.ItemBase)(templateObject_5 || (templateObject_5 = __makeTemplateObject([""], [""])));
var templateObject_1, templateObject_2, templateObject_3, templateObject_4, templateObject_5;
